# Class: Input

## M_.Form.Input()

Base class to input form

## Constructor

#### new Input()

##### Properties:

Name | Type | Description
--- | --- | ---
`name` | type |
`value` | type |
`autoContainer` | type |
`hideContainerIfEmpty` | type |
`placeholder` | type |
`form` | type |
`inputType` | type |
`editable` | type |
`clsInput` | type |
`clsGroup` | type |
`clsLabel` | type |
`styleInput` | type |
`styleGroup` | type |
`styleLabel` | type |
`label` | type |
`labelPosition` | type |
`labelWidth` | type |
`labelFocusInput` | type |
`dontSave` | type |
`fakeGroup` | type |
`allowEmpty` | type |
`minLength` | type |
`maxLength` | type |
`disabled` | type |

### Extends

- M_.Outlet

### Methods

#### create() → {type}

Overrides:
  - M_.Outlet#create

##### Returns:

Type
  type

#### destroy()

Destroy the outlet

Inherited From:
  - M_.Outlet#destroy

#### disable() → {type}

##### Returns:

Type
  type

#### enable() → {type}

##### Returns:

Type
  type

#### findEl(selector) → {jQuery}

Search a class or selector in the container, like $.find()

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | string |

Inherited From:
  - M_.Outlet#findEl

##### Returns:

Type
  jQuery

#### getEl() → {jquery}

Return jEl element. Generally the main object.

Inherited From:
  - M_.Outlet#getEl

##### Returns:

the main jQuery element

Type
  jquery

#### getValue(serialized) → {type}

##### Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`serialized` | Boolean | false |

##### Returns:

Type
  type

#### hide() → {type}

##### Returns:

Type
  type

#### informValid(ok) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`ok` | type |

##### Returns:

Type
  type

#### isEmpty() → {Boolean}

##### Returns:

Type
  Boolean

#### reset() → {type}

##### Returns:

Type
  type

#### setLabel(txt)

##### Parameters:

Name | Type | Description
--- | --- | ---
`txt` | type |

#### setValue(val)

##### Parameters:

Name | Type | Description
--- | --- | ---
`val` | type |

#### show() → {type}

##### Returns:

Type
  type

#### valid() → {type}

##### Returns:

Type
  type